/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.system.plugin.assembly.util;


/**
 * We do not want system plugin to depend on any of the artifacts it processes, so ...
 * we cut and paste the dependency constants here, which in theory, shouldn't change.
 */

public class DependencyConstants {

    public interface MavenComponentDependency {

        public static final String TYPE = "eoa-component";

        public static final String SCOPE = "runtime";

    }
    
    public interface MavenFactoryDependency  {

        public static final String TYPE = "eoa-factory";

        public static final String SCOPE = "runtime";

    }
    
    public interface MavenFeatureDependency {

        public static final String TYPE = "eoa-feature";

        public static final String SCOPE = "runtime";

    }
    
    public interface MavenModuleDependency {

        public static final String SCOPE = "runtime";

    }
    
    public interface MavenProvidedDependency  {

        public static final String TYPE = "jar";

        public static final String SCOPE = "system";

    }
    
    public interface MavenScopedDependency  {

        public static final String TYPE = "jar";

        public static final String SCOPE = "compile";

    }
    
    public interface MavenSharedDependency {

        public static final String TYPE = "jar";

        public static final String SCOPE = "provided";

    }
    
}
